=== debian/changelog ===
tkey-ssh-agent (1.0.0+ds-6) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Simon Josefsson <simon@josefsson.org>  Fri, 13 Feb 2026 10:24:05 +0100

tkey-ssh-agent (1.0.0+ds-5) experimental; urgency=medium

  [ Vincent Blut ]
  * Fix FTBFS with go-pinentry v4+

  [ Simon Josefsson ]
  * Drop Priority: optional
  * Standards-Version: 4.7.3
  * Drop Rules-Requires-Root: no
  * Need go-pinentry>4
  * Improve Static-Built-Using
  * Use watch v5
  * Adjust Salsa CI
  * Bump debian/* copyright years
  * Revert modification of upstream .gitignore

 -- Simon Josefsson <simon@josefsson.org>  Thu, 12 Feb 2026 17:53:15 +0100

tkey-ssh-agent (1.0.0+ds-4) unstable; urgency=medium

  * Standards-Version: 4.7.2.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 31 Mar 2025 22:15:18 +0200

tkey-ssh-agent (1.0.0+ds-3) unstable; urgency=medium

  * Bump debian/* copyright years.
  * Print SHA512 checksum of app in build logs.
  * salsa-ci: Build using official tkey-device-signer.
  * Add Static-Built-Using on tillitis-tkey-device-signer.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 03 Feb 2025 23:36:38 +0100

tkey-ssh-agent (1.0.0+ds-2) unstable; urgency=medium

  [ Simon Josefsson ]
  * Forward our pinentry patch.

  [ Michael Biebl ]
  * Move aliased files from / to /usr (DEP17). (Closes: #1088103)

 -- Simon Josefsson <simon@josefsson.org>  Thu, 28 Nov 2024 08:13:32 +0100

tkey-ssh-agent (1.0.0+ds-1) unstable; urgency=medium

  * Initial release (Closes: #1087023)

 -- Simon Josefsson <simon@josefsson.org>  Fri, 08 Nov 2024 10:52:29 +0100
