=== debian/control ===
Source: tkey-ssh-agent
Section: golang
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Simon Josefsson <simon@josefsson.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-spf13-pflag-dev,
 golang-github-tillitis-tkeyclient-dev,
 golang-github-tillitis-tkeysign-dev,
 golang-github-tillitis-tkeyutil-dev,
 golang-github-twpayne-go-pinentry-dev (>> 4.0.0~),
 golang-golang-x-crypto-dev,
 tillitis-tkey-device-signer,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/go-team/packages/tkey-ssh-agent
Vcs-Git: https://salsa.debian.org/go-team/packages/tkey-ssh-agent.git
Homepage: https://github.com/tillitis/tkey-ssh-agent
XS-Go-Import-Path: github.com/tillitis/tkey-ssh-agent

Package: tkey-ssh-agent
Section: admin
Architecture: any
Depends:
 tillitis-tkey-udev,
 ${misc:Depends},
 ${shlibs:Depends},
Built-Using:
 ${misc:Built-Using},
Static-Built-Using: ${misc:Static-Built-Using},
 tillitis-tkey-device-signer (= 0.1.2-2)
Description: SSH Agent for Tillitis TKey (application)
 TKey SSH Agent - tkey-ssh-agent is an OpenSSH-compatible agent for
 use with the Tillitis (https://tillitis.se/) TKey USB security token.
 .
 This package contains the tkey-ssh-agent application.

Package: golang-github-tillitis-tkey-ssh-agent-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-spf13-pflag-dev,
 golang-golang-x-crypto-dev,
 ${misc:Depends},
Description: SSH Agent for Tillitis TKey (Go development library)
 TKey SSH Agent - tkey-ssh-agent is an OpenSSH-compatible agent for
 use with the Tillitis (https://tillitis.se/) TKey USB security token.
 .
 This package contains the Go development library.

Package: tillitis-tkey-udev
Section: admin
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Tillitis TKey udev rule
 Tillitis TKey udev rule to allow non-root users to use access the TKey.
 You will usually need this to be able to access a connected Tillitis
 (https://tillitis.se/) TKey USB security token.
