=== debian/watch ===
Version: 5

Source: https://api.github.com/repos/tillitis/tkey-ssh-agent/releases?per_page=50
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/tarball/v?@ANY_VERSION@
Dversionmangle: auto
Filenamemangle: s%.*/v?@ANY_VERSION@%@PACKAGE@-$1.tar.gz%
Repacksuffix: +ds
Searchmode: plain
